Server Side Recording API
Overview
Server-side recording (SSR) allows for the recording of portions of a voice conversation to create a record that can be used as supporting evidence when reviewing potentially disruptive behavior that occurred on a call.
A recording is created based on a defined number of minutes preceding the request and can either specify users in the channel or all participants.
Download OpenAPI specification:
SSR Monitor Request
Create a server side recording job that uploads the last history minutes of audio from the target channel to your cloud storage. The job runs asynchronously; its result is posted to callbackUrl.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic
Request body for "SSR Monitor Request"
Media Type:
application/jsonexample: {"eventType":"report","playerReportEvents":{"reportType":["yelling","toxic"],"reporterPlayerId":"reporter-123456789","reportedPlayerId":"reported-123456789","reportReason":"disturbing game","reportTimestamp":1668432971}}Metadata for the recording. This is a key value pair that can be used to store additional information about the recording.
Code samples for "SSR Monitor Request":
Request example
curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "targetUri": "sip:confctl-e-<issuer>.<username>@<domain>.vivox.com", "callbackUrl": "https://mycallback.com", "callbackKey": "my-key", "history": 5, "filterUris": [ "sip:.my-issuer.my-user.@domain.vivox.com" ], "perspectiveTarget": "sip:.<issuer>.<username@<domain>.vivox.com", "metadata": { "eventType": "report", "playerReportEvents": { "reportType": [ "yelling", "toxic" ], "reporterPlayerId": "reporter-123456789", "reportedPlayerId": "reported-123456789", "reportReason": "disturbing game", "reportTimestamp": 1668432971 } }, "storageOptions": { "provider": "aws", "credentials": { "bucket": "my-bucket", "accessKeyId": "secret-id", "secretAccessKey": "AWS secret key" } }}' \ "https://vivox.services.api.unity.com/ssr/v2/organizations/{organizationId}/projects/{projectId}/monitor"
Response example
{ "msg": "ok", "code": 202, "id": "a776133b-8a93-4fed-a250-db6f16296703"}